Summary:	A GNU archiving program
Name:		cpio
Version:	2.11
Release:	%mkrel 5
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://www.gnu.org/software/cpio/
Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:		cpio-2.11-stdio.in.patch
Patch3:		cpio-2.7-svr4compat.patch
BuildRequires:	bison
Requires(post):	info-install
Requires(preun): info-install
Requires:	rmt
BuildRequires:	texinfo

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.
archives

%prep
%setup -q
%patch0 -p1 -b .stdio_in
%patch3 -p1 -b .svr4compat

%build
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure2_5x \
	--bindir=%{_bindir} \
	--with-rmt=%{_sysconfdir}/rmt \
	--disable-rpath

%make

%check
make check

%install
%makeinstall_std

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.11-5.mga3
+ Revision: 348240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 sander85 <sander85> 2.11-4.mga3
+ Revision: 277490
- Move things from /(s)bin to /usr/(s)bin.
- Add patch from Fedora to fix build.

* Sun Jun 10 2012 blino <blino> 2.11-3.mga3
+ Revision: 259428
- rebuild to get info pages as xz instead of lzma

* Tue Jan 11 2011 blino <blino> 2.11-2.mga1
+ Revision: 5730
- imported package cpio

